Name:          tlddoc
Version:       1.3
Release:       %mkrel 9
Summary:       Tag Library Documentation Generator
Group:         Development/Java
License:       BSD
Url:           http://taglibrarydoc.dev.java.net/
Source0:       http://mirrors.ibiblio.org/pub/mirrors/maven2/taglibrarydoc/tlddoc/%{version}/tlddoc-%{version}-sources.jar
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/taglibrarydoc/tlddoc/%{version}/tlddoc-%{version}.pom
Source2:       tlddoc-%{version}-autogeneratedfiles.tar.gz
Patch0:        tlddoc-%{version}-manifest.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-ant-plugin
BuildRequires: forge-parent

%description
Tag Library Documentation Generator is a utility for automatically generating
javadoc-style documentation for JavaServer Pages (JSP) Technology Tag Libraries.
It accepts a set of tag libraries as input, and generates a set of HTML files
as output. It can also be used to generate tag library documentation for
JavaServer Faces UI components.
Included in the output is a full description of each defined tag library,
the tags contained within those tag libraries, and how to use those tags.

%package       javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description   javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java src/main/resources
(
  cd src/main/java
  jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp %{SOURCE1} pom.xml
%patch0 -p0

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy all data files except *.java sources
find src/ -type f | grep -v "\.java" | grep -v "\.jj" | grep -v "\.jjt" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

%build

%mvn_build

%install

%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 1.3-9.mga6
+ Revision: 965448
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 daviddavid <daviddavid> 1.3-8.mga5
+ Revision: 809805
- build with xmvn
- use .mfiles generated during build
- update BuildRequires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 742212
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 546064
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.3-4.mga4
+ Revision: 502087
- BR maven-local for mvn-rpmbuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-3.mga3
+ Revision: 384605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 17 2012 gil <gil> 1.3-2.mga2
+ Revision: 197555
- installed unversioned library
- build fix added missing data files

* Sat Oct 29 2011 gil <gil> 1.3-1.mga2
+ Revision: 159544
- imported package tlddoc

